/* 
 * Stuff here is used for profiling the simulator.  
 *  
 */

#include "sim.h"

struct timeval __prof_tv_start;
struct timeval __prof_tv_end;

inline void prof_start(void)
{
  (void) gettimeofday(&__prof_tv_start, NULL);
  return;
}

inline void prof_end(void)
{
  (void) gettimeofday(&__prof_tv_end, NULL);
  return;
}

long prof_gettime(void)
{
  long usec;
  usec = (__prof_tv_end.tv_sec - __prof_tv_start.tv_sec) * 1000000;
  usec += (__prof_tv_end.tv_usec - __prof_tv_start.tv_usec);
  return usec;
}
